Debian Bug report logs - #487212
import python-sepolgen fails (dash is forbidden in a python module name)

version graph

Package: python-sepolgen; Maintainer for python-sepolgen is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>; Source for python-sepolgen is src:sepolgen.

Reported by: Pierre Chifflier <pollux@debian.org>

Date: Fri, 20 Jun 2008 09:45:01 UTC

Severity: grave

Found in version sepolgen/1.0.11-3

Fixed in version sepolgen/1.0.11-4

Done: Russell Coker <russell@coker.com.au>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#487212; Package python-sepolgen. Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: import python-sepolgen fails (dash is forbidden in a python module name)
Date: Fri, 20 Jun 2008 10:42:24 +0200
Package: python-sepolgen
Version: 1.0.11-3
Severity: grave
Justification: renders package unusable


Hi,

Package python-sepolgen should create a module named differently, since
the dash (-) is forbidden in Python modules names.

[~] python
Python 2.5.2 (r252:60911, May 28 2008, 19:19:25) 
[GCC 4.2.4 (Debian 4.2.4-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import python-sepolgen
  File "<stdin>", line 1
    import python-sepolgen
                 ^
SyntaxError: invalid syntax


See this mail:
http://mail.python.org/pipermail/python-bugs-list/2004-March/022272.html

And the Python documentation:
http://docs.python.org/ref/import.html
http://docs.python.org/ref/identifiers.html
A module name is an identifier, which contains no dash.

BTW, this also breaks the audit2why and audit2allow tools ....

Regards,
Pierre



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-sepolgen depends on:
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-support                0.8.1      automated rebuilding support for P

python-sepolgen recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#487212; Package python-sepolgen. Full text and rfc822 format available.

Acknowledgement sent to "Jan Hülsbergen" <afoo42@gmail.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #10 received at 487212@bugs.debian.org (full text, mbox):

From: "Jan Hülsbergen" <afoo42@gmail.com>
To: 487212@bugs.debian.org
Subject: sepolgen: diff for NMU version 1.0.11-3.1
Date: Sun, 20 Jul 2008 19:24:26 +0200
[Message part 1 (text/plain, inline)]
tags 487212 + patch
thanks


Hi,

The following is the diff for my sepolgen 1.0.11-3.1 NMU.

This is my first attempt at an NMU so any feedback would be greatly appreciated.


Regards,
Jan
[python-sepolgen-nmu.patch (text/x-patch, attachment)]

Reply sent to Russell Coker <russell@coker.com.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pierre Chifflier <pollux@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 487212-close@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 487212-close@bugs.debian.org
Subject: Bug#487212: fixed in sepolgen 1.0.11-4
Date: Tue, 29 Jul 2008 22:17:03 +0000
Source: sepolgen
Source-Version: 1.0.11-4

We believe that the bug you reported is fixed in the latest version of
sepolgen, which is due to be installed in the Debian FTP archive:

python-sepolgen_1.0.11-4_all.deb
  to pool/main/s/sepolgen/python-sepolgen_1.0.11-4_all.deb
sepolgen_1.0.11-4.diff.gz
  to pool/main/s/sepolgen/sepolgen_1.0.11-4.diff.gz
sepolgen_1.0.11-4.dsc
  to pool/main/s/sepolgen/sepolgen_1.0.11-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 487212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russell Coker <russell@coker.com.au> (supplier of updated sepolgen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Jul 2008 08:03:00 +1000
Source: sepolgen
Binary: python-sepolgen
Architecture: source all
Version: 1.0.11-4
Distribution: unstable
Urgency: high
Maintainer: Russell Coker <russell@coker.com.au>
Changed-By: Russell Coker <russell@coker.com.au>
Description: 
 python-sepolgen - A Python module used in SELinux policy generation
Closes: 487212
Changes: 
 sepolgen (1.0.11-4) unstable; urgency=high
 .
   * Include patch from Jan Hülsbergen to fix module naming.
     Closes: #487212
   * This patch is necessary for full SE Linux functionality in Lenny.
Checksums-Sha1: 
 881948fc5e107a0823e8169d85ca3d2ec2d26c33 1179 sepolgen_1.0.11-4.dsc
 961c58b780bbe7be09550a615f019ecad43af057 18334 sepolgen_1.0.11-4.diff.gz
 51e12491b7160025052c1aa93b26a5db818245c3 73416 python-sepolgen_1.0.11-4_all.deb
Checksums-Sha256: 
 623246a551c5ac1415452eebb85235f48bf5faff1ad734f816a86dbc23dde381 1179 sepolgen_1.0.11-4.dsc
 7c19e8bba574c9c6ab317a28cea31773110d25533e7b8f9eb08140a47050bc94 18334 sepolgen_1.0.11-4.diff.gz
 143a80a1d4057f7f05a3feb0f6451843e033180809dbb690e1cac002d6e45556 73416 python-sepolgen_1.0.11-4_all.deb
Files: 
 70955bc35a3e80d93cef79156e806f74 1179 python optional sepolgen_1.0.11-4.dsc
 bf317d309c34057a40ed8a467bdd7fac 18334 python optional sepolgen_1.0.11-4.diff.gz
 4b3a40c76623d2da729d29ee7cdeb166 73416 python optional python-sepolgen_1.0.11-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIj5RgwrB5/PXHUlYRAu0pAJ9mAHHjEH0R4VNsP5CjhHhN8NOMvQCgi7KL
D/D02ei5ZSWFHAZWPFZ1lOc=
=S+DT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Aug 2008 07:26:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:53:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.